### Function

# EvinceDocument Document misc_get_widget_dpi

#### Declaration [src]

    gdouble
    ev_document_misc_get_widget_dpi (
      GtkWidget* widget
    )

#### Description [src]

Returns sensible guess for DPI of monitor on which given widget has been realized. If HiDPI display, use 192, else 96. Returns 96 as fallback value.

#### Parameters

`widget` | `GtkWidget`
| A `GtkWidget`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gdouble`
| DPI as gdouble.